cd $PWD

Name=cp-H2O

fricei=( 1.0 1.0 0.5 0.1 0.0 0.0 0.0 )
fricpi=( 0.9 1.0 0.3 0.05 0.0 0.0 0.0 )
runi=( 100 100 200 200 1500 1500 35000 )
orthoi=( Gram-Schmidt ortho ortho ortho ortho ortho ortho )
modei=( from_scratch reset_counters restart restart reset_counters restart restart)
wfr=( 51 51 51 51 51 71 72 )
wfw=( 51 51 51 51 71 72 73 )
ions=( none none none none verlet verlet verlet)
tempi=( 50 50 50 50 300 350 375 )
electrons=( damp damp damp damp verlet verlet verlet )

typeset -i j=1
while (( j == 1 ));do
if [[ -d "H2O_${wfw[6]}.save" ]]; then
 wfr[6]=${wfw[6]}
 wfw[6]=$((${wfw[6]}+1))
else
 j=0
fi
done

echo "in"

for i in 0 1 2 3 4 ;
do

rm -f in.00
cat << EOF > in.00

&CONTROL
  outdir = '$PWD'
  pseudo_dir = './'
  title  = 'H2O',
  prefix = 'H2O',
  calculation = 'cp',
  restart_mode = '${modei[$i]}',
  ndr = ${wfr[$i]},
  ndw = ${wfw[$i]},
  nstep  = ${runi[$i]},
  iprint = 20,
  isave  = 1000,
  tstress = .true.,
  tprnfor = .true.,
  dt    =  3.d0,
!  etot_conv_thr = 1.D-8
!  forc_conv_thr = 1.D-3
/


&SYSTEM
  ibrav = 1,
  celldm(1) = CELL_X_YY,
  celldm(2) = 1.00,
  celldm(3) = 1.00,
  celldm(4) = 0.0,
  celldm(5) = 0.0,
  celldm(6) = 0.0,
  nat  = NATOMS_YY,
  ntyp = 2,
  nspin = 1,
  ecutwfc = 25.0,
  ecutrho = 200.0,
  nr1b= 20, nr2b = 20, nr3b = 20,
!  starting_magnetization(1)=0.1,
!  occupations='from_input',
/

&ELECTRONS
  emass = 340.d0,
  emass_cutoff = 2.0d0,
  orthogonalization = '${orthoi[$i]}',
  ortho_eps = 5.d-8,
  ortho_max = 200,
  electron_dynamics = '${electrons[$i]}',
  electron_damping = ${fricei[$i]},
/

&IONS
  ion_dynamics = '${ions[$i]}',
  ion_damping = ${fricpi[$i]},
  tempw  = ${tempi[$i]},
!  ion_temperature = 'rescaling',
  ion_temperature = 'nose',
  fnosep = 10.0  30.0   60.0  100.0,
  nhpcl = 4,
  nhptyp = 2,
/

ATOMIC_SPECIES
H 1.008 H.pbe-van_ak.UPF
O 15.999 O.pbe-van_ak.UPF

ATOMIC_POSITIONS ( angstrom )
COORD_YY

EOF

echo 'Strat turn of' $i
mpirun ~/software/qe/qe-6.0/bin/cp.x < in.00 >> $Name.out

done

echo 'ALL DONE'
